// ManualAdjustmentDlg.h : header file
//

#if !defined(AFX_MANUALADJUSTMENTDLG_H__EC3B920D_6084_4704_AEF1_CE238D3E3180__INCLUDED_)
#define AFX_MANUALADJUSTMENTDLG_H__EC3B920D_6084_4704_AEF1_CE238D3E3180__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "visa.h"
#include "MCal_Func.h"
/////////////////////////////////////////////////////////////////////////////
// CManualAdjustmentDlg dialog

class CManualAdjustmentDlg : public CDialog , public CManualAdj
{
// Construction
public:
	CManualAdjustmentDlg(CWnd* pParent = NULL);	// standard constructor


	void OnOK();
	void OnCancel();

	int IsCalSelect(int nStep);
	void LockAll(BOOL blck);

// Dialog Data
	//{{AFX_DATA(CManualAdjustmentDlg)
	enum { IDD = IDD_MANUALADJUSTMENT_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CManualAdjustmentDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	char sAwgAdr[128];
	CFont fntINSTR;

	// Generated message map functions
	//{{AFX_MSG(CManualAdjustmentDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnDynamicSelect(UINT id);
	afx_msg void OnBTNBegin();
	afx_msg void OnChkCalAll();
	afx_msg void OnChkAddr();
	afx_msg void OnChangeEdt();
	afx_msg void OnBtnScaninstr();
	afx_msg void OnShowWindow(BOOL bShow, UINT nStatus);
	afx_msg void OnBTNPwrSnrZeroCal();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MANUALADJUSTMENTDLG_H__EC3B920D_6084_4704_AEF1_CE238D3E3180__INCLUDED_)
